Bug 220547 - [PATCH] dns/dnscrypt-proxy: Update to 1.9.5
Summary: [PATCH] dns/dnscrypt-proxy: Update to 1.9.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Felder
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-07-07 20:41 UTC by Mark Felder
Modified: 2017-08-03 16:31 UTC (History)
1 user (show)

See Also:
freebsd: maintainer-feedback+


Attachments
dnscrypt patch (3.46 KB, patch)
2017-07-07 20:41 UTC, Mark Felder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Felder freebsd_committer 2017-07-07 20:41:15 UTC
Created attachment 184160 [details]
dnscrypt patch

This patch updates to 1.9.5 and provides the ability to use the new config file introduced a few releases ago. It's not possible to use both the config file and flags at the same time, so this is taken into account with the rc script. The multi rc script has not been altered for use with config files.
Comment 1 Leo Vandewoestijne 2017-07-09 22:12:16 UTC
Very nice improvement! Thanks.
(tested all fine, approved)

Leo
http://80.80.80.80:80
Comment 2 commit-hook freebsd_committer 2017-07-23 14:26:32 UTC
A commit references this bug:

Author: feld
Date: Sun Jul 23 14:25:30 UTC 2017
New revision: 446482
URL: https://svnweb.freebsd.org/changeset/ports/446482

Log:
  dns/dnscrypt-proxy: Update to 1.9.5

  Changelog:	https://github.com/jedisct1/dnscrypt-proxy/releases/tag/1.9.5

  PR:		220547

Changes:
  head/dns/dnscrypt-proxy/Makefile
  head/dns/dnscrypt-proxy/distinfo
  head/dns/dnscrypt-proxy/files/dnscrypt-proxy.in
  head/dns/dnscrypt-proxy/files/pkg-message.in
  head/dns/dnscrypt-proxy/pkg-plist
Comment 3 commit-hook freebsd_committer 2017-08-03 16:31:19 UTC
A commit references this bug:

Author: feld
Date: Thu Aug  3 16:30:54 UTC 2017
New revision: 447246
URL: https://svnweb.freebsd.org/changeset/ports/447246

Log:
  MFH: r446482

  dns/dnscrypt-proxy: Update to 1.9.5

  Changelog:	https://github.com/jedisct1/dnscrypt-proxy/releases/tag/1.9.5

  PR:		220547

  Approved by:	port-secteam (with hat)

Changes:
_U  branches/2017Q3/
  branches/2017Q3/dns/dnscrypt-proxy/Makefile
  branches/2017Q3/dns/dnscrypt-proxy/distinfo
  branches/2017Q3/dns/dnscrypt-proxy/files/dnscrypt-proxy.in
  branches/2017Q3/dns/dnscrypt-proxy/files/pkg-message.in
  branches/2017Q3/dns/dnscrypt-proxy/pkg-plist